require 'conjur/deployment'

module Conjur
  class API
    def create_deployment(id, options = {})
      standard_create Conjur::Dep::API.host, :deployment, id, options
    end
    
    def deployments(options = {})
      standard_list Conjur::Dep::API.host, :deployment, options
    end
    
    def deployment id
      standard_show Conjur::Dep::API.host, :deployment, id
    end
  end
end
